# Method: users.projects.provisionPosixAccount

- [HTTP request](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1beta/users.projects/provisionPosixAccount#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1beta/users.projects/provisionPosixAccount#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1beta/users.projects/provisionPosixAccount#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1beta/users.projects/provisionPosixAccount#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1beta/users.projects/provisionPosixAccount#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1beta/users.projects/provisionPosixAccount#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1beta/users.projects/provisionPosixAccount#try-it)

Create a POSIX account if it doesn't exist.

### HTTP request

`POST https://oslogin.googleapis.com/v1beta/{name=users/*/projects/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The unique ID for the user in format `users/{user}/projects/{project}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "regions": [ string ] } ``` |

| Fields ||
|---|---|
| `regions[]` | `string` Optional. The regions to wait for a POSIX account to be written to before returning a response. If unspecified, defaults to all regions. Regions are listed at <https://cloud.google.com/about/locations#region>. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/oslogin/rest/Shared.Types/PosixAccount`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/compute`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).